Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractDemandMetaData.DemandDependencyItem

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.dependency.plugins.AbstractDependencyItem
              org.jboss.beans.metadata.plugins.AbstractDemandMetaData.DemandDependencyItem

All Implemented Interfaces:
  Cloneable, org.jboss.dependency.spi.DependencyItem, org.jboss.util.JBossInterface

Enclosing class:
  AbstractDemandMetaData

public class AbstractDemandMetaData.DemandDependencyItem
extends org.jboss.dependency.plugins.AbstractDependencyItem

Information about a demand dependency.

Field Summary

Fields inherited from class org.jboss.util.JBossObject
`hashCode, toString`

Constructor Summary
`AbstractDemandMetaData.DemandDependencyItem(Object name)` Create a new demand dependecy

Method Summary
`boolean` | `resolve(org.jboss.dependency.spi.Controller controller)`
`void` | `toShortString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `unresolved()`

Methods inherited from class org.jboss.dependency.plugins.AbstractDependencyItem
`addDependsOnMe, getDependentState, getIDependOn, getName, getWhenRequired, isResolved, setIDependOn, setResolved, unresolved`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractDemandMetaData.DemandDependencyItem

    public AbstractDemandMetaData.DemandDependencyItem(Object name)

  Create a new demand dependecy

Parameters:
  `name` - my name

Method Detail

### resolve

    public boolean resolve(org.jboss.dependency.spi.Controller controller)

### unresolved

    public void unresolved()

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

### toShortString

    public void toShortString(org.jboss.util.JBossStringBuilder buffer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.